Bug 502991 - Review Request: erlang-erlsom - Support for XML Schema in Erlang
Review Request: erlang-erlsom - Support for XML Schema in Erlang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
: 445797 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 02:28 EDT by Peter Lemenkov
Modified: 2009-12-17 18:56 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.1-3.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 13:13:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2009-05-28 02:28:21 EDT
Spec URL: http://peter.fedorapeople.org/erlang-erlsom.spec
SRPM URL: http://peter.fedorapeople.org/erlang-erlsom-1.2.1-2.fc10.src.rpm
Description: Erlsom is a set of functions to deal with XML Schema (XSDs) in Erlang.
First you 'compile' the schema, and after that you can parse XML
documents that conform to the schema. The result is a structure of
Erlang records, based on the types that are defined by the Schema.
Or, the other way around, a structure of records can be translated
to an XML document.
Comment 1 Jason Tibbitts 2009-06-03 22:22:20 EDT
This does not build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1392831

Please do a local mock build or a koji scratch build when submitting packages.
Comment 2 Peter Lemenkov 2009-06-04 01:57:47 EDT
Thanks for the note!

rpmlint is not silent, however these messages just because the package contains only bytecode data in %{libdir}.

[petro@Sulaco ppc]$ rpmlint erlang-erlsom-1.2.1-3.fc10.ppc.rpm 
erlang-erlsom.ppc: E: no-binary
erlang-erlsom.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
[petro@Sulaco ppc]$

http://peter.fedorapeople.org/erlang-erlsom.spec
http://peter.fedorapeople.org/erlang-erlsom-1.2.1-3.fc10.ppc.rpm

koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1393081
Comment 3 Jason Tibbitts 2009-06-10 21:14:36 EDT
Tried to build this, but then realized that's not a src.rpm.
Comment 5 Jason Tibbitts 2009-07-05 17:25:19 EDT
Builds fine; rpmlint says the following:
  erlang-erlsom.x86_64: E: no-binary
  erlang-erlsom.x86_64: W: only-non-binary-in-usr-lib
which are normal for erlang packages.

The spec does not consistently use macros; in some places, macro-ized forms like "%{__rm}" are used, while elsewhere plain non-macro versions are used.  This must be consistent; personally I see no benefit in the extra typing from using "%{__rm}" but you can use what you like.

The license is definitely not GPLv2+.  Most files seem to be LGPLv3+, but erlsom_sax_lib.erl is GPLv2+.  This would seem to imply that the whole is GPLv3+, but you should check with upstream to see what they intend.

* source files match upstream.  sha256sum:                  
   414b342f58ae0d35e612914223fa4b24355ede2f6586a53efbe73791a5dab3e3
   erlsom-1.2.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named.
X specfile does not use macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
X license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   erlsom = 1.2.1-3.fc12
   erlang-erlsom = 1.2.1-3.fc12
   erlang-erlsom(x86-64) = 1.2.1-3.fc12
  =
   erlang

* %check is present, no test suite upstream.  I've no idea how to test this.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 6 Jason Tibbitts 2009-11-03 10:42:34 EST
It's been four months since my previous review commentary with no response; I'll go ahead and close this ticket soon if nothing further happens.
Comment 7 Peter Lemenkov 2009-11-05 07:53:18 EST
Oh, I thought that I submitted updated spec, but it seems, that I lost this task in my TODO list.

Here is it:

http://peter.fedorapeople.org/erlang-erlsom.spec
http://peter.fedorapeople.org/erlang-erlsom-1.2.1-3.fc10.src.rpm

Changelog:
- No more using macros for rm/install/mv
- License filed now is GPLv3+
Comment 8 Jason Tibbitts 2009-11-05 16:04:26 EST
Looks good to me now, although I think it's worth a comment to see how the license tag actually gets to be GPLv3+.  I'd expect anyone not familiar with this ticket to be confused by that, given that none of the code in question actually carries that license.  Did you check with upstream on that?  If so, it may be a good idea to include that correspondence in the package.

In any case, I don't think that issue should block the package at this point.

APPROVED
Comment 9 Jason Tibbitts 2009-11-07 10:17:03 EST
*** Bug 445797 has been marked as a duplicate of this bug. ***
Comment 10 Peter Lemenkov 2009-11-23 04:57:10 EST
Added comments about the resulting language. No other changes in spec file were made.

New Package CVS Request
=======================
Package Name: erlang-erlson
Short Description: Support for XML Schema in Erlang
Owners: peter
Branches: F-11 F-12 EL-4 EL-5
InitialCC:
Comment 11 Kevin Fenzi 2009-11-23 21:20:58 EST
cvs done (with typo in name corrected).
Comment 12 Fedora Update System 2009-11-24 01:55:13 EST
erlang-erlsom-1.2.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/erlang-erlsom-1.2.1-3.fc11
Comment 13 Fedora Update System 2009-11-24 01:55:21 EST
erlang-erlsom-1.2.1-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/erlang-erlsom-1.2.1-3.el5
Comment 14 Fedora Update System 2009-11-24 01:55:26 EST
erlang-erlsom-1.2.1-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/erlang-erlsom-1.2.1-3.el4
Comment 15 Fedora Update System 2009-11-24 01:55:32 EST
erlang-erlsom-1.2.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/erlang-erlsom-1.2.1-3.fc12
Comment 16 Fedora Update System 2009-11-24 14:24:08 EST
erlang-erlsom-1.2.1-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-erlsom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0897
Comment 17 Fedora Update System 2009-11-24 14:24:58 EST
erlang-erlsom-1.2.1-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-erlsom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0905
Comment 18 Fedora Update System 2009-11-25 09:58:48 EST
erlang-erlsom-1.2.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-erlsom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12035
Comment 19 Fedora Update System 2009-11-25 10:14:06 EST
erlang-erlsom-1.2.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-erlsom'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12119
Comment 20 Fedora Update System 2009-12-11 13:13:38 EST
erlang-erlsom-1.2.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-12-11 13:27:48 EST
erlang-erlsom-1.2.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-12-17 18:52:49 EST
erlang-erlsom-1.2.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2009-12-17 18:56:35 EST
erlang-erlsom-1.2.1-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.